Title: UDDI Library
## Introduction

The jUDDI Project lives or fails based on its human resources. Users and contributors alike help the project with ideas and brainpower. A common foundation of knowledge is required to effectively participate in this virtual community. The following is a list of documents that we have found helpful for us and may be helpful to you.

## UDDI Specifications

[UDDI.org](http://uddi.xml.org/)

[UDDI Version 1.0 Specification](http://www.oasis-open.org/committees/uddi-spec/doc/contribs.htm#uddiv1)

[UDDI Version 2.0 Specification](http://www.oasis-open.org/committees/uddi-spec/doc/contribs.htm#uddiv2)

[UDDI Version 3.0 Specification](http://www.oasis-open.org/committees/uddi-spec/doc/contribs.htm#uddiv3)

## UDDI Taxonomies

[North American Industry Classification System (NAICS)](http://www.census.gov/epcd/www/naics.html)

U.S. Census Bureau

[United Nations Standard Products and Services Code System (UNSPSC) Version 3.1](http://www.unspsc.org/Defaults.asp)

U.S. Census Bureau

## Articles, Tutorials and Best Practices

[O'Reilly Java WebServices Chapter 6: "UDDI: Universal Description, Discovery, and Integration"](http://oreilly.com/catalog/javawebserv/chapter/ch06.html)

Tyler Jewell and David Chappell

[Best practices for Web services versioning](http://www-106.ibm.com/developerworks/webservices/library/ws-version/)

Keep your Web services current with WSDL and UDDI

Kyle Brown and Michael Ellis, IBM developerWorks

January 2004


[Using WSDL in a UDDI Registry](http://www.oasis-open.org/committees/uddi-spec/doc/tn/uddi-spec-tc-tn-wsdl-v2.htm)

John Colgrave and Karsten Januszewski, UDDI.org

November 2003


[Registration and Discovery of Web Services Using JAXR with XML Registries such as UDDI and ebXML](http://java.sun.com/developer/technicalArticles/WebServices/jaxrws/)

The why and what of the new approach

Qusay H. Mahmoud, Sun Microsystems

June 2002


[A New Approach to UDDI and WSDL Part 1](http://www-106.ibm.com/developerworks/webservices/library/ws-udmod1/)

The why and what of the new approach

John Colgrave, IBM developerWorks

August 2003


[A New Approach to UDDI and WSDL Part 2](http://www-106.ibm.com/developerworks/webservices/library/ws-udmod2/)

Usage scenarios in publishing and finding WSDL service descriptions

John Colgrave, IBM developerWorks

September 2003


[Understanding WSDL in a UDDI Registry Part 1](http://www.ibm.com/developerworks/webservices/library/ws-wsdl/)

How to publish and find WSDL service descriptions

Peter Brittenham, Francisco Cubera, Dave Ehnebuske, Steve Graham, IBM developerWorks

September 2001 (updated September 2002)


[Understanding WSDL in a UDDI Registry Part 2](http://www.ibm.com/developerworks/webservices/library/ws-wsdl2/)

How to publish and find WSDL service descriptions

Peter Brittenham, Francisco Cubera, Dave Ehnebuske, Steve Graham, IBM developerWorks

September 2001 (updated September 2002)


[Understanding WSDL in a UDDI Registry Part 3](http://www.ibm.com/developerworks/webservices/library/ws-wsdl3/)

How to publish and find WSDL service descriptions

Peter Brittenham, IBM developerWorks

November 2001


[Providing a Taxonomy for Use in UDDI Version 2](http://www.uddi.org/pubs/TN-taxonomy-provider-V1.00-Final-20010717.pdf)

UDDI.org

July 2001


[The Role of Taxonomies in UDDI: tModels Demystified](http://www.developer.com/services/article.php/1367781)

Ravi Trivedi, Developer.com


[Versioning of Web Services: An UDDI Subscription-Based Approach](http://www.developer.com/services/article.php/3374631)

Aravilli Srinivasa Rao, Developer.com


## Related Specifications

[SOAP W3C Specification](http://www.w3.org/TR/SOAP/)

[Web Services Description Language (WSDL) 1.1](http://www.w3c.org/TR/wsdl.html)

[Java API for XML Registries (JAXR)](http://java.sun.com/xml/jaxr/)

## Other Resources

[The Java Language Specification](http://java.sun.com/docs/books/jls/index.html)

Written by the creators of the Java Programming Language, this online book is considered by many to be the bible for programming in Java. A must read.


[Javadoc](http://java.sun.com/products/jdk/javadoc/index.html)

Javadoc is the automatic software documentation generator used by Java since it was first released. All code written for this project must be documented using Javadoc conventions.


[The Java Code Conventions](http://java.sun.com/docs/codeconv/html/CodeConvTOC.doc.html)

This Sun document specifies the de-facto standard way of formatting Java code. All code written for this project must follow these conventions.

